Summary: KDE Network Applications
Name:    kdenetwork
Epoch:   7
Version: 4.8.5
Release: 1%{?dist}

License: GPLv2
Group: Applications/Internet
URL: http://www.kde.org
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz
Source1: krdc-icons.tar.bz2
Source2: kppp.console 
Source3: kppp.pam

## upstream me!  -- Rex :)
Patch1: kdenetwork-4.2.98-kdrc-icon.patch

# rhbz#540433 - KPPP is unable to add DNS entries to /etc/resolv.conf
Patch2: kdenetwork-4.3.3-resolv-conf-path.patch

# Fix build failure with g++4.7
Patch3: kdenetwork-4.7.97-fix-for-g++47.patch
## upstream patches

## security patches

%if 0%{?fedora}
BuildRequires: openslp-devel
BuildRequires: pkgconfig(avahi-compat-libdns_sd)
BuildRequires: pkgconfig(libgadu) >= 1.8.0
BuildRequires: pkgconfig(libotr)
%endif
BuildRequires: boost-devel
BuildRequires: expat-devel
BuildRequires: giflib-devel
BuildRequires: gmp-devel
BuildRequires: gpgme-devel
# libkonq
BuildRequires: kdebase-devel >= %{version}
BuildRequires: kde-workspace-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: libjpeg-devel
BuildRequires: libktorrent-devel
BuildRequires: pkgconfig(alsa) 
BuildRequires: pkgconfig(glib-2.0) 
BuildRequires: pkgconfig(jasper)
BuildRequires: pkgconfig(libidn) 
BuildRequires: pkgconfig(libmsn) 
BuildRequires: pkgconfig(libpcre)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(meanwhile)
BuildRequires: pkgconfig(nxcl)
BuildRequires: pkgconfig(ortp)
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(soprano)
BuildRequires: pkgconfig(speex)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(libv4l2)
BuildRequires: libvncserver-devel
# FIXME: 2.1.1 in rawhide
#BuildRequires: linphone-devel >= 2.3.0
BuildRequires: openldap-devel
# gnutls-devel is needed for rfbclient
BuildRequires: gnutls-devel

#-----------------------------------------------------------------------------
#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#-----------------------------------------------------------------------------
#   * XMMS  <http://www.xmms.org>
#     X MultiMedia System development libraries
#     Used by the Kopete nowlistening plugin to support the XMMS player.
#   * mediastreamer (2.3.0 or higher)  <http://www.linphone.org/index.php/eng/code_review/mediastreamer2>
#     A streaming engine specialized for voice/video telephony applications
#     Required to enable voice clips support in WLM plugin and needed to build Google Talk libjingle audio call support in Kopete.
#   * msiLBC  <http://mirror.lihnidos.org/GNU/savannah/linphone/plugins/sources>
#     iLBC is low bitrate audio codec - plugin for mediastreamer
#     Needed to build Google Talk libjingle voice call support with iLBC codec

Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-fileshare-samba = %{epoch}:%{version}-%{release}
Requires: %{name}-kdnssd = %{epoch}:%{version}-%{release}
Requires: %{name}-kget = %{epoch}:%{version}-%{release}
Requires: %{name}-kopete = %{epoch}:%{version}-%{release}
Requires: %{name}-kppp = %{epoch}:%{version}-%{release}
Requires: %{name}-krdc = %{epoch}:%{version}-%{release}
Requires: %{name}-krfb = %{epoch}:%{version}-%{release}

%description
Networking applications, including:
* kget: downloader manager
* kopete: chat client
* kppp: dialer and front end for pppd
* krdc: a client for Desktop Sharing and other VNC servers
* krfb: Desktop Sharing server, allow others to access your desktop via VNC

%package common 
Summary: Common files for %{name}
BuildArch: noarch
# when split occurred
Conflicts: kdenetwork < 7:4.6.95-10
Obsoletes: kdenetwork-libs < 7:4.6.95-10
%description common 
%{summary}.

%package devel
Summary:  Development files for %{name}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-kopete-devel = %{epoch}:%{version}-%{release}
Requires: %{name}-krdc-devel = %{epoch}:%{version}-%{release}
BuildArch: noarch
%description devel
%{summary}.

%package fileshare-samba
Summary: Share files via samba 
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: samba
%description fileshare-samba 
%{summary}.

%package kdnssd
Summary: Kdnssd
Requires: %{name}-common = %{epoch}:%{version}-%{release}
%description kdnssd
%{summary}.

%package kget
Summary: A downloader manager 
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-kget-libs%{?_isa} = %{epoch}:%{version}-%{release}
%description kget
%{summary}.

%package kget-libs
Summary: Runtime libraries for %{name}
Requires: %{name}-kget = %{epoch}:%{version}-%{release}
%description kget-libs
%{summary}.

%package kppp
Summary: A dialer and front end for pppd
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: ppp
# consolehelper
Requires: usermode-gtk
%description kppp
%{summary}.

%package kopete
Summary: A chat client 
Requires: %{name}-kopete-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kate-part >= %{version}
Requires: mozilla-filesystem
# jabber
Requires: qca-ossl%{?_isa}
%description kopete
%{summary}.

%package kopete-libs
Summary: Runtime libraries for %{name}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-kopete = %{epoch}:%{version}-%{release}
%description kopete-libs
%{summary}.

%package kopete-devel
Summary: Development files for Kopete
Requires: %{name}-kopete-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel
%description kopete-devel
%{summary}.

%package krdc
Summary: A client for Desktop Sharing and other VNC servers
Requires: %{name}-krdc-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: rdesktop
%description krdc
%{summary}.

%package krdc-libs
Summary: Runtime libraries for %{name} 
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-krdc = %{epoch}:%{version}-%{release}
%description krdc-libs
%{summary}.

%package krdc-devel
Summary: Developer files for %{name} 
Requires: %{name}-krdc-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel
%description krdc-devel
%{summary}.

%package krfb
Summary: Desktop Sharing server, allow others to access your desktop via VNC 
Requires: %{name}-krfb-libs%{?_isa} = %{epoch}:%{version}-%{release}
# https://bugzilla.redhat.com/655844
Provides: bundled(libvncserver)
%description krfb
%{summary}.

%package krfb-libs
Summary: Runtime libraries for %{name}
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-krfb = %{epoch}:%{version}-%{release}
%description krfb-libs
%{summary}.



%prep
%setup -q -a 1 -n kdenetwork-%{version}%{?alphatag}
%patch1 -p1 -b .icon
%patch2 -p1 -b .resolv-conf-path
%patch3 -p1 -b .fix-for-g++47


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DWITH_JINGLE=TRUE \
  -DMOZPLUGIN_INSTALL_DIR=%{_libdir}/mozilla/plugins \
  ..
popd

make -C %{_target_platform}/doc
make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Run kppp through consolehelper
mkdir -p %{buildroot}%{_sbindir} \
         %{buildroot}%{_sysconfdir}/security/console.apps \
         %{buildroot}%{_sysconfdir}/pam.d
chmod 0755 %{buildroot}%{_bindir}/kppp
mv %{buildroot}%{_bindir}/kppp %{buildroot}%{_sbindir}
ln -s consolehelper %{buildroot}%{_bindir}/kppp
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.apps/kppp
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/kppp

%find_lang kget --with-kde --without-mo
%find_lang kopete --with-kde --without-mo
%find_lang kppp --with-kde --without-mo
%find_lang krdc --with-kde --without-mo
%find_lang krfb --with-kde --without-mo

# unpackaged files
rm -f %{buildroot}%{_kde4_libdir}/libkgetcore.so


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done


%clean
rm -rf %{buildroot}


%files
# blank

%files devel
# blank

%files common
#doc README COPYING*

%files fileshare-samba
%{_kde4_libdir}/kde4/sambausershareplugin.so
%{_kde4_datadir}/kde4/services/sambausershareplugin.desktop

%files kdnssd
%{_kde4_datadir}/kde4/services/zeroconf.protocol
%{_kde4_datadir}/kde4/services/kded/dnssdwatcher.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%dir %{_kde4_appsdir}/remoteview/
%{_kde4_appsdir}/remoteview/zeroconf.desktop
%{_kde4_libdir}/kde4/kded_dnssdwatcher.so
%{_kde4_libdir}/kde4/kio_zeroconf.so

%post kget
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans kget
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun kget
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%files kget -f kget.lang
%{_kde4_bindir}/kget
%{_kde4_appsdir}/dolphinpart/kpartplugins/kget_plug_in.*
%{_kde4_appsdir}/kget/
%{_kde4_appsdir}/kconf_update/kget*
%{_kde4_appsdir}/khtml/kpartplugins/kget_plug_in.*
%{_kde4_appsdir}/kwebkitpart/kpartplugins/kget_plug_in.*
%{_kde4_iconsdir}/hicolor/*/apps/kget.*
%{_datadir}/dbus-1/services/org.kde.kget.service
%{_kde4_datadir}/applications/kde4/kget.desktop
%{_kde4_datadir}/kde4/services/kget*.desktop
%{_kde4_datadir}/kde4/services/plasma-engine-kget.desktop
%{_kde4_datadir}/kde4/services/plasma-runner-kget.desktop
%{_kde4_datadir}/kde4/servicetypes/kget*.desktop
%{_kde4_datadir}/config.kcfg/kget*.kcfg
%{_kde4_libdir}/kde4/kget_*.so
%{_kde4_datadir}/kde4/services/ServiceMenus/kget_download.desktop
%{_kde4_libdir}/kde4/kcm_kget_*.so
%{_kde4_libdir}/kde4/krunner_kget.so
%{_kde4_libdir}/kde4/plasma_engine_kget.so
%{_kde4_libdir}/kde4/plasma_kget_barapplet.so
%{_kde4_libdir}/kde4/plasma_kget_piechart.so

%post kget-libs -p /sbin/ldconfig
%postun kget-libs -p /sbin/ldconfig

%files kget-libs
%{_kde4_libdir}/libkgetcore.so.4*

%post kopete 
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans kopete 
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun kopete
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%files kopete -f kopete.lang
%{_kde4_bindir}/kopete
%{_kde4_bindir}/winpopup*
%{_kde4_appsdir}/kopete*
%{_kde4_appsdir}/kconf_update/kopete*
%{_libdir}/mozilla/plugins/skypebuttons.so
%{_kde4_configdir}/kopeterc
%{_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.*.xml
%{_kde4_datadir}/applications/kde4/kopete.desktop
%{_kde4_datadir}/config.kcfg/kopete*
%{_kde4_datadir}/sounds/Kopete_*
%{_kde4_datadir}/sounds/KDE-Im-Phone-Ring.wav
%{_kde4_datadir}/kde4/services/aim.protocol
%{_kde4_datadir}/kde4/services/callto.protocol
%{_kde4_datadir}/kde4/services/chatwindow.desktop
%{_kde4_datadir}/kde4/services/emailwindow.desktop
%{_kde4_datadir}/kde4/services/kopete_*.desktop
%{_kde4_datadir}/kde4/services/kconfiguredialog/
%{_kde4_datadir}/kde4/services/skype.protocol
%{_kde4_datadir}/kde4/services/tel.protocol
%{_kde4_datadir}/kde4/services/xmpp.protocol
%{_kde4_datadir}/kde4/servicetypes/kopete*.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kopete*.*
%{_kde4_iconsdir}/oxygen/*/actions/*
%if 0%{?fedora}
%{_kde4_iconsdir}/oxygen/*/status/object-locked*.*
%endif
%{_kde4_libdir}/kde4/kopete_*.so
%{_kde4_libdir}/kde4/kcm_kopete_*.so
%{_kde4_libdir}/libqgroupwise.so
%{_kde4_bindir}/kopete_latexconvert.sh
%{_kde4_libdir}/kde4/libchattexteditpart.so
%{_kde4_datadir}/config.kcfg/historyconfig.kcfg
%{_kde4_datadir}/config.kcfg/latexconfig.kcfg
%{_kde4_datadir}/config.kcfg/nowlisteningconfig.kcfg
%{_kde4_datadir}/config.kcfg/translatorconfig.kcfg
%{_kde4_datadir}/config.kcfg/urlpicpreview.kcfg
%{_kde4_datadir}/config.kcfg/webpresenceconfig.kcfg

%post kopete-libs -p /sbin/ldconfig
%postun kopete-libs -p /sbin/ldconfig

%files kopete-libs
%{_kde4_libdir}/kde4/plugins/accessible/
%{_kde4_libdir}/libkopete*.so.*
%{_kde4_libdir}/libkyahoo.so*
%{_kde4_libdir}/liboscar.so*

%files kopete-devel
%{_kde4_includedir}/kopete/
%{_kde4_libdir}/libkopete*.so

%post kppp
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans kppp
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun kppp
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files kppp -f kppp.lang
%{_sbindir}/kppp
%{_kde4_bindir}/kppp*
%config(noreplace) %{_sysconfdir}/security/console.apps/kppp
%config(noreplace) %{_sysconfdir}/pam.d/kppp
%{_kde4_appsdir}/kppp/
%{_kde4_datadir}/applications/kde4/Kppp.desktop
%{_kde4_datadir}/applications/kde4/kppplogview.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kppp.*
%{_datadir}/dbus-1/interfaces/org.kde.kppp.xml

%post krdc
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans krdc
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun krdc
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files krdc -f krdc.lang
%{_kde4_bindir}/krdc
%{_kde4_appsdir}/krdc/
%{_kde4_datadir}/applications/kde4/krdc.desktop
%{_kde4_datadir}/kde4/services/krdc_*.desktop
%{_kde4_datadir}/kde4/services/rdp.protocol
%{_kde4_datadir}/kde4/services/vnc.protocol
%{_kde4_datadir}/kde4/servicetypes/krdc*.desktop
%{_kde4_iconsdir}/hicolor/*/apps/krdc.*
%{_kde4_libdir}/kde4/kcm_krdc*.so
%{_kde4_datadir}/kde4/services/ServiceMenus/smb2rdc.desktop
%{_kde4_datadir}/config.kcfg/krdc.kcfg
%{_kde4_libdir}/kde4/krdc_*.so

%post krdc-libs -p /sbin/ldconfig
%postun krdc-libs -p /sbin/ldconfig

%files krdc-libs
%{_kde4_libdir}/libkrdccore.so.4*

%files krdc-devel
%{_kde4_includedir}/krdc/
%{_kde4_libdir}/libkrdccore.so

%files krfb -f krfb.lang
%{_kde4_bindir}/krfb
%{_kde4_appsdir}/krfb/
%{_kde4_datadir}/applications/kde4/krfb.desktop
%{_kde4_datadir}/kde4/services/krfb_*.desktop
%{_kde4_datadir}/kde4/servicetypes/krfb*.desktop
%{_kde4_libdir}/kde4/krfb_*.so

%post krfb-libs -p /sbin/ldconfig
%postun krfb-libs -p /sbin/ldconfig

%files krfb-libs
%{_kde4_libdir}/libkrfbprivate.so.4*


%changelog
* Thu Aug 02 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.8.5-1
- 4.8.5

* Mon Jun 04 2012 Than Ngo <than@redhat.com> - 7:4.8.4-1
- 4.8.4

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.3-1
- 4.8.3

* Thu Apr 19 2012 Than Ngo <than@redhat.com> - 4.8.2-2
- add BR gnutls-devel, it's needed for rfbclient

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.2-1
- 4.8.2

* Thu Mar 08 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-1.1
- rebuild (libktorrent)

* Mon Mar 05 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-1
- 4.8.1

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.8.0-2
- Rebuilt for c++ ABI breakage

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.0-1
- 4.8.0

* Sat Jan  7 2012 Alexey Kurov <nucleo@fedoraproject.org> 7:4.7.97-3
- rebuild for libktorrent-1.2rc1

* Thu Jan 05 2012 Radek Novacek <rnovacek@redhat.com> 7:4.7.97-2
- Fix the patch for g++ 4.7

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.7.97-1
- 4.7.97
- Fix build failure with g++ 4.7

* Wed Dec 21 2011 Radek Novacek <rnovacek@redhat.com> - 7:4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 7:4.7.90-1
- 4.7.90

* Fri Dec 02 2011 Than Ngo <than@redhat.com> - 7:4.7.80-3
- fix rhel/fedora condition

* Mon Nov 28 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.7.80-2
- move a11y kopete plugin to -libs

* Mon Nov 28 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.7.80-1
- 4.7.80 (beta 1)

* Sat Oct 29 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.3-1
- 4.7.3
- pkgconfig-style deps

* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-2
- -kopete: build unconditionally, Requires: kate-part

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-1
- 4.7.2

* Wed Sep 07 2011 Than Ngo <than@redhat.com> - 7:4.7.1-1
- 4.7.1

* Thu Aug 11 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.0-4
- -krfb-libs: Requires: -krfb (not main pkg)

* Fri Aug 05 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.0-3
- kdenetwork(kopete) FTBFS against qt-4.8.0-beta1 (#724846)

* Fri Aug 05 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.0-2
- -common: Obsoletes: kdenetwork-libs

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.7.0-1
- 4.7.0
- omit FTBFS kopete for now (#724846)

* Thu Jul 21 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.95-10
- kdenetwork split packaging (#724053)

* Fri Jul 11 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.6.95-1
- 4.6.95 (rc2)

* Mon Jun 27 2011 Radek Novacek <rnovacek@redhat.com> 7:4.6.90-1
- Update to 4.6.90

* Mon Jun 27 2011 Radek Novacek <rnovacek@redhat.com> 7:4.6.80-1
- Update to 4.6.80

* Fri Apr 29 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.3-1
- 4.6.3

* Wed Apr 20 2011 Than Ngo <than@redhat.com> - 7:4.6.2-2
- security fix for CVE-2010-1000

* Wed Apr 06 2011 Than Ngo <than@redhat.com> - 7:4.6.2-1
- 4.6.2

* Wed Mar 16 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.1-3
- make qca-ossl dep arch'd
- drop some ancient Obsoletes/Provides

* Thu Mar 03 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.1-2
- respin tarball

* Mon Feb 28 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.1-1
- 4.6.1

* Thu Feb 10 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:4.6.0-3
- drop v4l1 support from Kopete, keep v4l2 (F15+, fixes FTBFS, patch by nucleo)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 21 2011 Jaroslav Reznik <jreznik@redhat.com> - 7:4.6.0-1
- 4.6.0

* Sun Jan 09 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.95-2
- BR: expat-devel kdebase-devel kdebase-workspace-devel libvncserver-devel nxcl-devel

* Thu Jan 06 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.5.95-1
- 4.5.95 (4.6rc2)

* Fri Dec 31 2010 Alexey Kurov <nucleo@fedoraproject.org> 7:4.5.90-3
- patch for building against both libktorrent 1.1 and 1.0.x

* Thu Dec 30 2010 Alexey Kurov <nucleo@fedoraproject.org> 7:4.5.90-2
- rebuild for libktorrent-1.1beta1
- drop libktorrent_stable patch

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.90-1
- 4.5.90 (4.6rc1)

* Wed Dec 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 7:4.5.85-2
- respun upstream tarball

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 7:4.5.85-1
- 4.5.85 (4.6beta2)

* Mon Nov 22 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:4.5.80-2
- reenable KGet libktorrent support and make it build

* Sun Nov 21 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.5.80-1
- 4.5.80 (4.6beta)

* Fri Nov 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.5.3-3
- Kopete ICQ Plugin complains about wrong password (kde#257008)

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> - 7:4.5.3-2
- rebuild for new libxml2

* Sun Oct 31 2010 Than Ngo <than@redhat.com> - 7:4.5.3-1
- 4.5.3

* Sat Oct 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.5.2-1
- 4.5.2

* Fri Aug 27 2010 Jaroslav Reznik <jreznik@redhat.com> - 7:4.5.1-1
- 4.5.1

* Tue Aug 03 2010 Than Ngo <than@redhat.com> - 7:4.5.0-1
- 4.5.0

* Sun Jul 26 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.4.95-2
- BR: libktorrent-devel

* Sat Jul 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.4.95-1
- 4.5 RC3 (4.4.95)

* Wed Jul 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.4.92-1
- 4.5 RC2 (4.4.92)

* Tue Jul 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.4.90-2
- rebuild (libmsn)
- -libs: Requires: kdepimlibs%%_isa ...
- Requires: kdebase-runtime (#612124)

* Fri Jun 25 2010 Jaroslav Reznik <jreznik@redhat.com> - 7:4.4.90-1
- 4.5 RC1 (4.4.90)

* Mon Jun 07 2010 Jaroslav Reznik <jreznik@redhat.com> - 7:4.4.85-1
- 4.5 Beta 2 (4.4.85)

* Fri May 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 7:4.4.80-1
- 4.5 Beta 1 (4.4.80)

* Thu May 13 2010 Jaroslav Reznik <jreznik@redhat.com> - 7:4.4.3-3
- security fixes: CVE-2010-1000, CVE-2010-1511 (#591966)

* Wed May 12 2010 Than Ngo <than@redhat.com> - 7:4.4.3-2
- add consolehelper

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 7:4.4.3-1
- 4.4.3

* Thu Apr 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.4.2-2
- kopete/yahoo: Outgoing messages are not received (kde#226699)

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 7:4.4.2-1
- 4.4.2

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 7:4.4.1-1
- 4.4.1

* Wed Feb 10 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:4.4.0-2
- BR webkitpart-devel >= 0.0.5

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 7:4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Sun Jan 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.95-2
- drop webkit support

* Wed Jan 20 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-2
- rebuild (boost)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Wed Dec 16 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.3.80-2
- Repositioning the KDE Brand (#547361)

* Tue Dec  1 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)
- reenable webkitpart support

* Wed Nov 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.75-0.3.svn1048496
- disable webkitpart support for now, does not build

* Wed Nov 25 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.3.75-0.2.svn1048496
- KPPP fix to read resolv.conf from /var/run/ppp (#540433)

* Mon Nov 23 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Thu Nov 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-6
- rebuild (for qt-4.6.0-rc1, f13+)

* Wed Nov 11 2009 Than Ngo <than@redhat.com> - 4.3.3-5
- rhel cleanup, drop BR on libotr-devel, openslp-devel, libgadu-devel

* Mon Nov 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-4
- BR: webkitpart-devel >= 0.0.2

* Mon Nov  9 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.3-3
- Compile with latest WebKitKDE

* Tue Nov 03 2009 Than Ngo <than@redhat.com> - 4.3.3-2
- respin

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Mon Oct 26 2009 Than Ngo <than@redhat.com> - 4.3.2-4
- rhel cleanup

* Fri Oct 09 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.2-3
- fix BR to be on kdelibs-experimental-devel, not kdelibs-experimental

* Wed Oct 07 2009 Than Ngo <than@redhat.com> - 4.3.2-2
- enable jingle

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Sun Sep 17 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-3
- %%?_isa'ize -libs deps
- BR: webkitpart-devel

* Mon Sep 14 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-2
- kopete/bonjour patch
- krfb produces garbled display (#523131, kde#162493)

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Mon Aug 24 2009 Than Ngo <than@redhat.com> - 4.3.0-2
- fix bz#515586, backport patch to fix this issue

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Sat Jul 11 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Thu Jun 25 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.90-3
- BR: kdelibs-experimental

* Thu Jun 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.90-2
- implement YMSG 16 protocol to allow logging into Yahoo! again (upstream patch)

* Thu Jun 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.90-1
- KDE-4.3 beta2 (4.2.90)

* Wed May 13 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.85-1
- KDE 4.3 beta 1

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-2
- optimize scriptlets

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 21 2009 Tejas Dinkar <tejas@gja.in> - 4.2.0-8
- Added patch to add View History to Kopete (backport from trunk)

* Tue Feb 17 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 7:4.2.0-7
- Make GCC 4.4 happy (patch)

* Tue Feb 17 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 7:4.2.0-6
- adjust patch level

* Tue Feb 17 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 7:4.2.0-5
- KPPP Crash fix backported patch (KDE BZ: #176645 - BZ: #485890)

* Fri Feb 06 2009 Than Ngo <than@redhat.com> - 4.2.0-4
- fix yahoo protocol to show contact list correctly

* Wed Feb 04 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.2.0-3
- port kopete video to libv4l (#475623)

* Mon Jan 26 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.2.0-2
- fix kopete jabber protocol encrypted messages handling (#473412)

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Fri Jan 16 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.96-3
- rebuild for new OpenSSL

* Mon Jan 12 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.96-2
- build against system libgadu (trivial patch backported from 4.3)

* Wed Jan 07 2009 Than Ngo <than@redhat.com> - 4.1.96-1
- 4.2rc1

* Fri Dec 12 2008 Than Ngo <than@redhat.com> 4.1.85-1
- 4.2beta2
- BR: libmsn-devel

* Thu Dec 11 2008 Rex Dieter <rdieter@fedoraproject.org> 7:4.1.80-7
- Obsoletes/Provides: kopete-bonjour (#451302)

* Thu Dec 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.1.80-6
- rebuild for fixed kde-filesystem (macros.kde4) (get rid of rpaths)

* Thu Dec 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.1.80-5
- add missing BR meanwhile-devel (#474592)
- add missing BR ortp-devel and speex-devel (for Jingle protocol)

* Mon Dec 01 2008 Rex Dieter <rdieter@fedoraproject.org> 7:4.1.80-4
- fix up %%description
- versioned Obsoletes
- scriptlets fixes
- BR: plasma-devel

* Fri Nov 28 2008 Lorenzo Villani <lvillani@binaryhelix.net> 7:4.1.80-3
- fix build (updated file lists)

* Thu Nov 20 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged

* Thu Nov 20 2008 Lorenzo Villani <lvillani@binaryhelix.net> 7:4.1.72-1
- 4.1.80
- BR cmake 2.6
- make install/fast

* Wed Nov 12 2008 Than Ngo <than@redhat.com> 4.1.3-1
- 4.1.3

* Mon Oct 20 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.1.2-3
- fix kopete crashes on logout (kdebug:172011), in the account editor
  (kdebug:172985) and during login (kdebug:172997)

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Fri Jul 25 2008 Than Ngo <than@redhat.com> 4.1.0-2
- respun

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-2
- add BR gmp-devel, libotr-devel, soprano-devel

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- drop backported kde#160728 patch
- update file list

* Thu Apr 17 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-6
- omit BR: xmms-devel, for now, save pulling in xmms-lib, gtk+ lib stack

* Sat Apr 12 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-5
- fix segfault in krdc VNC on remote server disconnection (#442127, kde#160728)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild for NDEBUG and _kde4_libexecdir
- drop libidn patch (fixed in libidn)

* Sat Mar 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- look for libidn in default path if pkgconfig lies (see #439549) (#439465)

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3
- drop kdenetwork-4.0.2-kopete-crash.patch, it's included in 4.0.3

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-3
- Requires(hint): qca-ossl (kopete/jabber)

* Thu Mar 13 2008 Than Ngo <than@redhat.com> 4.0.2-2
- apply upstream patch to fix crash in kopete

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Fri Feb 01 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-2
- enable krfb, BR: libvncserver-devel

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Mon Jan 21 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-2
- BR: avahi-compat-libdns_sd-devel glib2-devel openslp-devel libxslt-devel xmms-devel

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-5
- Obsoletes: -extras ...
- Requires: rdesktop (#420801), for krdc
- Requires: ppp , for kppp
- Requires: jasper , for kopete

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- rebuild for changed _kde4_includedir

* Fri Dec 07 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-3
- BR: openldap-devel, it's needed in kopete

* Fri Dec 07 2007 Than Ngo <than@redhat.com> 3.97.0-2
- BR: qimageblitz-devel, it's needed in kopete

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-1
- kde-3.97.0

* Wed Dec 05 2007 Than Ngo <than@redhat.com> 3.96.2-2
- fix building kopete

* Sat Dec 01 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.1-1
- kde-3.96.1

* Sat Nov 17 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-1
- Initial version for Fedora
